# K3s

K3s is a simplified [Kubernetes](https://wiki.nixos.org/wiki/Kubernetes) version that bundles  Kubernetes cluster components into a few small binaries optimized for Edge and IoT devices.

## Usage

* [Module Usage](docs/USAGE.md).

## Configuration Examples

* [Nvidia GPU Passthru](docs/examples/NVIDIA.md)
* [Storage Examples](docs/examples/STORAGE.md)

## Cluster Maintenance and Troubleshooting

* [Cluster Upkeep](docs/CLUSTER_UPKEEP.md).

## K3s Package Upkeep

* [Package Versioning Rationale](docs/VERSIONING.md)
* [Package Maintenance Documentation](docs/PKG_UPKEEP.md)
